Subject: FVWM: Fvwm shadow colours not quite the same as motif

From: Tim Phipps <[email-masked]>
Date: Thu, 26 Jun 1997 16:08:46 +0100 (BST)

This is a really minor point but it is bugging me.  When fvwm and modules draw 
3D things it calculates the bevel colours based on the background and so do 
Motif programs.  The algorithm that fvwm uses is different to the Motif one. 
This results in an FvwmButtons that looks a bit odd if a Motif program is 
swallowed.  I don't know what the two algorithms are but I think I prefer the 
Motif one.  I can make the Motif programs use Fvwm shadowcolors with Xdefaults 
but I don't know what the fvwm colours will be.  Is there an easy way of taking 
the fvwm background colour and converting it to a *topShadow and *bottomShadow 
setting.  I would like to do this in the fvwm InitFunction if possible.

Cheers,
Tim.